SessionIDMessage (Tomcat API Documentation)
Keywords: org.apache.catalina.cluster.session.SessionIDMessage class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.cluster.session
Class SessionIDMessage

    java.lang.Object
      org.apache.catalina.cluster.session.SessionIDMessage

All Implemented Interfaces:
  ClusterMessage, java.io.Serializable

public class SessionIDMessage
extends java.lang.Object
implements ClusterMessage

Session id change cluster message

Version:
  $Id: SessionIDMessage.java 939539 2010-04-30 01:31:33Z kkolinko $
Author:
  Peter Rossbach
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.catalina.cluster.ClusterMessage
`FLAG_ALLOWED, FLAG_DEFAULT, FLAG_FORBIDDEN`

Constructor Summary
`SessionIDMessage()`

Method Summary
`Member` | `getAddress()` Get the address that this message originated from.
`java.lang.String` | `getBackupSessionID()`
`int` | `getCompress()` Each message can made the desicion that compress is allowed or not or handle by default.
`java.lang.String` | `getContextPath()`
`java.lang.String` | `getHost()`
`int` | `getMessageNumber()`
`java.lang.String` | `getOrignalSessionID()`
`int` | `getResend()` Each message can made the desicion that resend is allowed or not or handle by default.
`long` | `getTimestamp()` Timestamp message.
`java.lang.String` | `getUniqueId()` Each message must have a unique ID, in case of using async replication, and a smart queue, this id is used to replace messages not yet sent.
`void` | `setAddress(Member address)` Called by the cluster before sending it to the other nodes.
`void` | `setBackupSessionID(java.lang.String backupSessionID)`
`void` | `setCompress(int compress)` set desicion that compress is allowed or not or handle by default.
`void` | `setContextPath(java.lang.String contextPath)`
`void` | `setHost(java.lang.String host)`
`void` | `setMessageNumber(int messageNumber)`
`void` | `setOrignalSessionID(java.lang.String orignalSessionID)`
`void` | `setResend(int resend)` set desicion that resend is allowed or not or handle by default.
`void` | `setTimestamp(long timestamp)` Called by the cluster before sending out the message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionIDMessage

    public SessionIDMessage()

Method Detail

### getAddress

    public Member getAddress()

  Description copied from interface: `ClusterMessage`
  Get the address that this message originated from. This would be set if the message was being relayed from a host other than the one that originally sent it.

  Specified by:
    `getAddress` in interface `ClusterMessage`

### setAddress

    public void setAddress(Member address)

  Description copied from interface: `ClusterMessage`
  Called by the cluster before sending it to the other nodes.

  Specified by:
    `setAddress` in interface `ClusterMessage`
  Parameters:
    `address` - Member

### getUniqueId

    public java.lang.String getUniqueId()

  Description copied from interface: `ClusterMessage`
  Each message must have a unique ID, in case of using async replication, and a smart queue, this id is used to replace messages not yet sent.

  Specified by:
    `getUniqueId` in interface `ClusterMessage`
  Returns:
    String

### getHost

    public java.lang.String getHost()

  Returns:
    Returns the host.

### setHost

    public void setHost(java.lang.String host)

  Parameters:
    `host` - The host to set.

### getContextPath

    public java.lang.String getContextPath()

  Returns:
    Returns the contextPath.

### setContextPath

    public void setContextPath(java.lang.String contextPath)

  Parameters:
    `contextPath` - The contextPath to set.

### getMessageNumber

    public int getMessageNumber()

  Returns:
    Returns the messageNumber.

### setMessageNumber

    public void setMessageNumber(int messageNumber)

  Parameters:
    `messageNumber` - The messageNumber to set.

### getTimestamp

    public long getTimestamp()

  Description copied from interface: `ClusterMessage`
  Timestamp message.

  Specified by:
    `getTimestamp` in interface `ClusterMessage`
  Returns:
    Returns the timestamp.

### setTimestamp

    public void setTimestamp(long timestamp)

  Description copied from interface: `ClusterMessage`
  Called by the cluster before sending out the message.

  Specified by:
    `setTimestamp` in interface `ClusterMessage`
  Parameters:
    `timestamp` - The timestamp to set.

### getBackupSessionID

    public java.lang.String getBackupSessionID()

  Returns:
    Returns the backupSessionID.

### setBackupSessionID

    public void setBackupSessionID(java.lang.String backupSessionID)

  Parameters:
    `backupSessionID` - The backupSessionID to set.

### getOrignalSessionID

    public java.lang.String getOrignalSessionID()

  Returns:
    Returns the orignalSessionID.

### setOrignalSessionID

    public void setOrignalSessionID(java.lang.String orignalSessionID)

  Parameters:
    `orignalSessionID` - The orignalSessionID to set.

### getCompress

    public int getCompress()

  Description copied from interface: `ClusterMessage`
  Each message can made the desicion that compress is allowed or not or handle by default.

  Specified by:
    `getCompress` in interface `ClusterMessage`
  Returns:
    Returns the compress.
  Since:
    5.5.10

### setCompress

    public void setCompress(int compress)

  Description copied from interface: `ClusterMessage`
  set desicion that compress is allowed or not or handle by default.

  Specified by:
    `setCompress` in interface `ClusterMessage`
  Parameters:
    `compress` - The compress to set.
  Since:
    5.5.10

### getResend

    public int getResend()

  Description copied from interface: `ClusterMessage`
  Each message can made the desicion that resend is allowed or not or handle by default.

  Specified by:
    `getResend` in interface `ClusterMessage`
  Returns:
    Returns the resend.
  Since:
    5.5.10

### setResend

    public void setResend(int resend)

  Description copied from interface: `ClusterMessage`
  set desicion that resend is allowed or not or handle by default.

  Specified by:
    `setResend` in interface `ClusterMessage`
  Parameters:
    `resend` - The resend to set.
  Since:
    5.5.10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.